<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/



use application\ESPCMS_Core;
use admin_application\link\SettingLink;
use admin_application\link\OrderLink;

class SettingMainSidebar {

	public static function into() {

		$espcms_admin_templates = espcms_admin_template();
		$espcms_admin_templates->libfile = true;

		$espcms_admin_templates->into('link', SettingLink::SettingMain_link_array());
		$order_app_config = ESPCMS_Core::get_app_config('order', false);
		if ($order_app_config['isetup']) {
			$espcms_admin_templates->into('paylink', OrderLink::Pay_link_array('index'));
			$espcms_admin_templates->into('explink', OrderLink::Express_link_array('index'));
			$espcms_admin_templates->into('pay_issetup', $order_app_config['isetup']);
		}
		$output = $espcms_admin_templates->fetch('admin/sidebar_setting');
		return $output;
	}

}
